system/audit/RestrictedLogons

Log of failed user connection authorization attempts.

Created by the mware microservice. Populated by the ws microservice during connection authorization. Enabling the mode of saving failed connection authorization attempts is performed in the domain settings.audit_options settings.

Storage type: transactionlog or history (depending on storage settings).

Table 1. Class fields
Field Description

id

Record identifier.

dateTime

Authorization date-time. Stored in UTC.

scheme

Scheme of the received and rejected request. For example, 'https'.

path

Requested path of the received and rejected request. For example, '/rest/v1/iam/sessions'.

login

Authorized user login

remoteIp

Request initiator IP address.

remotePort

Request initiator port.

localIp

IP address of the server that received the request.

localPort

Port of the server that received the request.

operation

Nature of the authorization operation

Value variants:

  • websocket_login - authorization of a WebSocket connection (login method);

  • http_auth - authorization of an individual HTTP request.

  • http_login - session creation (POST /api/auth/v1/login);

  • http_switch - switching an existing session from another domain with the same user credentials (/api/auth/v1/chdom);

  • oauth - authorization via SSO (OAuth, OpenId);

  • rest_login - standard authorization by creating a session (POST /rest/v1/iam/sessions);

  • rest_clone - session creation (POST /rest/v1/iam/sessions) with the session_type = 'token_clone_cookie' option.

  • rest_switch - switching an existing session from another domain with the same user credentials (PATCH /rest/v1/iam/sessions/current);

  • undefined - undefined value, not used under normal conditions.

by

Service that authorized the connection.

Value variants:

  • session - authorization performed by the web server through a previously created session;

  • token_script - authorization approved by the SSO authorization script iam_token_svcscript_code;

  • pwd_script - authorization approved by the external authorization script (iam_general_svcscript_code, iam_domain_svcscript_code);

  • dc - authorization approved by the domain center by account login and password;

  • masteradmin - authorization approved by the configuration through the master admin account;

  • undefined - undefined value, not used under normal conditions.

mode

Authorization method

Value variants:

  • request - authorization of an individual request by login-password.

  • cookie - authorization via a cookie session ('Cookie: …​'), including session creation.

  • bearer - authorization via token ('Authorization: Bearer …​'), including specifying the session in the token and specifying an external token.

  • connection - authorization of a WebSocket connection.

  • undefined - undefined value, not used under normal conditions.